#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Coro
%define		pnam	Coro
Summary:	Coro - do events the coro-way
Summary(pl.UTF-8):	Coro - obsługa zdarzeń na sposób coro
Name:		perl-Coro
Version:	6.31
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pnam}-%{version}.tar.gz
# Source0-md5:	519e3304e86ed103c167b299ab94c176
Patch0:		kill-blocked-test.patch
URL:		http://search.cpan.org/dist/Coro/
BuildRequires:	perl-AnyEvent >= 2:5.0
BuildRequires:	perl-EV >= 1:3.3
BuildRequires:	perl-Event >= 1.08
BuildRequires:	perl-devel >= 1:5.8.2
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	perl-AnyEvent-Impl-EV
BuildRequires:	perl-AnyEvent-Impl-Event
BuildRequires:	perl-Guard >= 0.5
BuildRequires:	perl-Storable >= 2.15
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-common-sense
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module enables you to create programs using the powerful Event
model (and module), while retaining the linear style known from simple
or threaded programs.

%description -l pl.UTF-8
Ten moduł pozwala na tworzenie programów przy użyciu potężnego modelu
(i modułu) Event z zachowaniem liniowego stylu znanego z prostych lub
wątkowych programów.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%{__sed} -i "s^/opt/bin/perl^%{_bindir}/perl^" Coro/jit*pl

%build
echo "y" | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} -j1 test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING Changes INSTALL README README.linux-glibc
%{perl_vendorarch}/Coro.pm
%{perl_vendorarch}/Coro
%dir %{perl_vendorarch}/auto/Coro
%dir %{perl_vendorarch}/auto/Coro/EV
%{perl_vendorarch}/auto/Coro/EV/EV.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Coro/EV/EV.so
%dir %{perl_vendorarch}/auto/Coro/Event
%{perl_vendorarch}/auto/Coro/Event/Event.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Coro/Event/Event.so
%dir %{perl_vendorarch}/auto/Coro/State
%{perl_vendorarch}/auto/Coro/State/State.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Coro/State/State.so
%{_mandir}/man3/Coro*.3pm*
%changelog
* Sun Jun 09 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Coro.git;a=log;h=master

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 9df077d
- up to 6.31

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 97365ce
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon May 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 9d6174e
- updated to 6.08
- tests require specific implementations of perl-AnyEvent (EV, Event)

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> a682f29
- rel 2

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> 156477a
- fixed path to perl binary

* Thu Oct 06 2011 lisu <lisu@pld-linux.org> 2d40718
- updated to 6.06

* Thu Apr 28 2011 sparky <sparky@pld-linux.org> 28f3a07
- dropped BR: perl-Scalar-List-Utils (perl-modules provides it already)

* Wed Mar 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 620371d
- more BRs

* Fri Feb 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 00a3d25
- up to 5.372

* Mon Feb 21 2011 sparky <sparky@pld-linux.org> f0cda51
- added kill-blocked-test patch

* Mon Feb 21 2011 sparky <sparky@pld-linux.org> d05b623
- set alarm in unblock tests; does not fix the problem, onle avoids deadlock

* Mon Feb 21 2011 sparky <sparky@pld-linux.org> 1c056a7
- updated BRs

* Sun Feb 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ea9d2bf
- up to 5.26

* Thu Mar 13 2008 ankry <ankry@pld-linux.org> 7a5075a
- rel. 5

* Thu Mar 13 2008 Jakub Bogusz <qboosh@pld-linux.org> cc43c50
- perl-AnyEvent epoch

* Thu Mar 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b1a2f9
- rel 4; BR perl-Event

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 1d91af9
- release 3

* Sat Feb 09 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 17da08f
- rel.2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 304ecfb
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> 5394daa
- up to 4.34

